summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Ekin Akoglu <ekinakoglu@gmail.com>2018-04-06 12:52:26 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-04-07 08:13:13 +0700
commit4bd0db6f0d398f9243b0a6e351112efb39dd6fad (patch)
tree80200b5a04db3c72c7820c2449c714e8098ae0a7 /academic
parent65fae22f3631e1e66154ed293d7c0c83b3e42667 (diff)
downloadslackbuilds-4bd0db6f0d398f9243b0a6e351112efb39dd6fad.tar.gz
slackbuilds-4bd0db6f0d398f9243b0a6e351112efb39dd6fad.tar.xz
academic/ncview: Added (a netCDF visual browser).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/ncview/README3
-rw-r--r--academic/ncview/ncview.SlackBuild97
-rw-r--r--academic/ncview/ncview.info10
-rw-r--r--academic/ncview/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/academic/ncview/README b/academic/ncview/README
new file mode 100644
index 0000000000..af40540fde
--- /dev/null
+++ b/academic/ncview/README
@@ -0,0 +1,3 @@
+Ncview is a visual browser for netCDF format files. Typically you would
+use ncview to get a quick and easy, push-button look at your netCDF
+files.
diff --git a/academic/ncview/ncview.SlackBuild b/academic/ncview/ncview.SlackBuild
new file mode 100644
index 0000000000..daa3914316
--- /dev/null
+++ b/academic/ncview/ncview.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for: ncview
+# Copyright (c) 2018 Ekin Akoglu <ekinakoglu@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ncview
+VERSION=${VERSION:-2.1.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-nc-config=/usr/bin/nc-config \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README RELEASE_NOTES \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/ncview/ncview.info b/academic/ncview/ncview.info
new file mode 100644
index 0000000000..e1d4ee7c54
--- /dev/null
+++ b/academic/ncview/ncview.info
@@ -0,0 +1,10 @@
+PRGNAM="ncview"
+VERSION="2.1.8"
+HOMEPAGE="http://meteora.ucsd.edu/%7Epierce/ncview_home_page.html"
+DOWNLOAD="ftp://cirrus.ucsd.edu/pub/ncview/ncview-2.1.8.tar.gz"
+MD5SUM="510df57cd0b5fdae385d34c06b962b29"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="udunits netcdf"
+MAINTAINER="Ekin Akoglu"
+EMAIL="ekinakoglu@gmail.com"
diff --git a/academic/ncview/slack-desc b/academic/ncview/slack-desc
new file mode 100644
index 0000000000..9b7116bda7
--- /dev/null
+++ b/academic/ncview/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ncview: ncview (a netCDF visual browser)
+ncview:
+ncview: Ncview displays a 2-dimensional, color representation of data
+ncview: in a netCDF file. You can animate the data in time (making
+ncview: simple movies), flip or enlarge the picture, scan through various
+ncview: axes, change colormaps, etc. You can also plot the data in X-Y plots
+ncview: and then print those.
+ncview:
+ncview:
+ncview:
+ncview: